> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://murf.ai/api/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://murf.ai/api/docs/_mcp/server.

# Update

PUT https://api.murf.ai/v1/murfdub/projects/{project_id}/update
Content-Type: application/json

Reference: https://murf.ai/api/docs/api-reference/dubbing/projects/update

## Request

### Path parameters

- `project_id` (string, required)

### Headers

- `api-key` (string, required) — Your Dub API key

### Body (application/json)

This endpoint expects an ApiUpdateProjectRequest.

- `target_locales` (list of string, required) — List of target locales

## Response

### 200

Ok

- `project_id` (string, required) — Your Project Id
- `dubbing_type` (enum, required) — Dubbing Type
  - Allowed values: `AUTOMATED`, `QA`
- `target_locales` (list of string, required) — List of target locales
- `name` (string, optional) — Project Name
- `description` (string, optional)
- `source_locale` (string, optional) — Source Locale

## Errors

### 400 Bad Request Error

Bad Request

- `any`

### 403 Forbidden Error

Invalid or expired token provided

- `any`

### 500 Internal Server Error

Internal Server Error

- `any`

### 503 Service Unavailable Error

Service Unavailable

- `any`

## Examples

**Request**

```json
{
  "target_locales": [
    "fr_FR",
    "de_DE",
    "es_ES"
  ]
}
```

**Response**

```json
{
  "project_id": "proj_1234567890abcdef",
  "dubbing_type": "AUTOMATED",
  "target_locales": [
    "fr_FR",
    "de_DE",
    "es_ES"
  ],
  "name": "Corporate Training Video",
  "description": "Localization project for Q2 training materials",
  "source_locale": "en_US"
}
```

**SDK Code**

```python
from murf import MurfDub

client = MurfDub(
    api_key="YOUR_API_KEY",
)

client.dubbing.projects.update(
    project_id="YourProjectID",
    target_locales=["fr_FR", "de_DE", "es_ES"],
)

```

```javascript
const url = 'https://api.murf.ai/v1/murfdub/projects/project_id/update';
const options = {
  method: 'PUT',
  headers: {'api-key': 'api-key', 'Content-Type': 'application/json'},
  body: '{"target_locales":["fr_FR","de_DE","es_ES"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.murf.ai/v1/murfdub/projects/project_id/update"

	payload := strings.NewReader("{\n  \"target_locales\": [\n    \"fr_FR\",\n    \"de_DE\",\n    \"es_ES\"\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("api-key", "api-key")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.murf.ai/v1/murfdub/projects/project_id/update")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["api-key"] = 'api-key'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"target_locales\": [\n    \"fr_FR\",\n    \"de_DE\",\n    \"es_ES\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.murf.ai/v1/murfdub/projects/project_id/update")
  .header("api-key", "api-key")
  .header("Content-Type", "application/json")
  .body("{\n  \"target_locales\": [\n    \"fr_FR\",\n    \"de_DE\",\n    \"es_ES\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.murf.ai/v1/murfdub/projects/project_id/update', [
  'body' => '{
  "target_locales": [
    "fr_FR",
    "de_DE",
    "es_ES"
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'api-key' => 'api-key',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.murf.ai/v1/murfdub/projects/project_id/update");
var request = new RestRequest(Method.PUT);
request.AddHeader("api-key", "api-key");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"target_locales\": [\n    \"fr_FR\",\n    \"de_DE\",\n    \"es_ES\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "api-key",
  "Content-Type": "application/json"
]
let parameters = ["target_locales": ["fr_FR", "de_DE", "es_ES"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.murf.ai/v1/murfdub/projects/project_id/update")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```